# Create Pocket Portal

This endpoint creates a new portal for a customer.

Endpoint: POST /api/v2/pockets/{pocket_id}/portals/
Version: Version: 5153994b
Security: CodeBearer

## Path parameters:

  - `pocket_id` (string, required)

## Request fields (application/json):

  - `body` (CreateVirtualBankAccountPortalRequest (object) or CreateCryptoDepositAddressPortalRequest (object), required) — one of:
    - CreateVirtualBankAccountPortalRequest:
      - `name` (string, required)
      - `type` (string, required)
    - CreateCryptoDepositAddressPortalRequest:
      - `id` (string, required)
      - `name` (string, required)
      - `chain` (string, required)
        ETH is supported at this time.
      - `type` (string, required)

## Response 201 fields (application/json):

  - `body` (any) — one of (discriminator: type):
    - CRYPTO_DEPOSIT_ADDRESS_PORTAL:
      - `id` (string, required)
      - `pocket_id` (string, required)
      - `time_created` (string, required)
      - `name` (string, required)
        Portal name
      - `status` (string, required)
        Portal status
        Enum: "OPEN", "CLOSED", "PENDING", "REJECTED"
      - `type` (string, required)
      - `chain` (string, required)
        ETH is supported at this time.
      - `wallet_address` (string, required)
    - VIRTUAL_BANK_ACCOUNT_PORTAL:
      - `id` (string, required)
      - `pocket_id` (string, required)
      - `time_created` (string, required)
      - `name` (string, required)
        Portal name
      - `status` (string, required)
        Portal status
        Enum: same as `status` in "CRYPTO_DEPOSIT_ADDRESS_PORTAL" (4 values)
      - `type` (string, required)
      - `routing_number` (string, required)
        Routing number
      - `account_number` (string, required)
        Account number
      - `payment_rails` (array, required)
        Specifies which payment rails (ACH, WIRE, ON_US) are accepted.
        Enum: "ACH", "WIRE", "ON_US"

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


## Response 404 fields
